#header,#header a { color: #434333; font-size: 14px; line-height: 150%; letter-spacing: 0.5px; font-family: 'Basic Sans Regular'; font-weight: normal; }
#header ul,#header ul li { position: relative; display: inline-block; }
#header ul li { position: relative; margin: 5px; padding: 10px; cursor: pointer; border-radius: 20px; }

#header { position: fixed; top: 0; left: 0; width: 100%; z-index: 100; }
#header .mainNav { position: relative; display: flex; align-items: center; justify-content: space-between; width: 1400px; max-width: 100%; margin: auto; background-color: #F3F3F2; padding: 40px 80px; -webkit-box-shadow: 5px 5px 10px 0px rgba(0,0,0,0.20); -moz-box-shadow: 5px 5px 10px 0px rgba(0,0,0,0.20); box-shadow: 5px 5px 10px 0px rgba(0,0,0,0.20);  }
#header .brand { position: relative; width: 180px; height: 20px; background-size: contain; background-position: center; background-repeat: no-repeat; background-image: url('../images/client/logo.png'); }
#header .navArea { display: flex; align-items: center; justify-content: flex-end; }
#header .mainLink { display: flex; align-items: center; justify-content: flex-end; }
#header .mainLink > li { white-space: nowrap; }
#header .mainLink ul { display: none; position: absolute; top: 0; left: calc( 100% + 5px ); background-color: #CCC; }
#header .mainLink > li > ul { top: 100%; left: -5px; white-space: normal; }
#header .mainLink li.buttonStyle { background-color: #CF8C00; padding-left: 20px; padding-right: 20px; color: #ffffff; }
#header .mainLink li.buttonStyle:hover { background-color: #434333; }
#header .mainLink li.normalStyle::after { content: ""; position: absolute; bottom: 0px; left: 50%; width: 0; height: 1px; background-color: #434333; }
#header .mainLink li.normalStyle:hover::after { left: 10px; width: calc( 100% - 20px ); }
#header .mainLink li.buttonStyle, #header .mainLink li.normalStyle::after { -webkit-transition: all 400ms ease-in-out; -moz-transition: all 400ms ease-in-out; -o-transition: all 400ms ease-in-out; -ms-transition: all 400ms ease-in-out; transition: all 400ms ease-in-out; }

#header .burgerArea { display: none; }
#header .burger { position: relative; width: 26px; height: 16px; }
#header .burger ul,#header .burger ul li { display: block; }
#header .burger .line { position: absolute; left: 0; width: 100%; height: 1px; background-color: #222; }
#header .burger .line1 { top: 0; }
#header .burger .line2 { top: 50%; }
#header .burger .line3 { top: 100%; }

#header.expandedMenu .burger { transform: rotate(180deg); }
#header.expandedMenu .burger .line1 { top: 50%; width: 100%; transform: rotate(45deg); transform-origin: center center; }
#header.expandedMenu .burger .line2 { opacity: 0; }
#header.expandedMenu .burger .line3 { top: 50%; width: 100%; transform: rotate(-45deg); transform-origin: center center; }

/* Responsive */
@media only screen and (max-width : 1200px) {
    #header .burgerArea { display: inline-block; }
    #header ul { position: relative; max-width: 100%; margin: auto; }
    #header ul li { position: relative; max-width: calc( 100% - 10px ); }
    #header nav { position: absolute; top: 100%; left: 0; width: 100%; background-color: #DDD; opacity: 0; pointer-events: none; -webkit-transition: all 400ms ease-in-out; -moz-transition: all 400ms ease-in-out; -o-transition: all 400ms ease-in-out; -ms-transition: all 400ms ease-in-out; transition: all 400ms ease-in-out; }
    #header .mainNav { white-space: nowrap; padding: 15px 5px; }
    #header .mainLink { display: inline-grid; text-align: center; padding: 25px 0px; overflow-y: auto; position: absolute; left: 50%; top: 50%; -webkit-transform: translate(-50%,-50%)!important; -moz-transform: translate(-50%,-50%)!important; -ms-transform: translate(-50%,-50%)!important; -o-transform: translate(-50%,-50%)!important; transform: translate(-50%,-50%)!important;  }
    #header .mainLink::-webkit-scrollbar { display: none; }
    #header .mainLink { -ms-overflow-style: none; scrollbar-width: none; }
    #header .mainLink > li { display: block; width: 100%; }
    #header .mainLink ul { position: relative; top: inherit; left: inherit; background-color: transparent; }
    #header .mainLink > li > ul { top: inherit; left: inherit; }
    #header .mainLink ul li { display: block; width: 100%; }
    
    #header.expandedMenu nav { opacity: 1; pointer-events: auto; }
}
